/**
 * A function that returns the URL part common to the endpoints.
 */
declare const root: () => string;
/**
 * health check
 *
 */
declare const healthCheck: () => string;
/**
 * 通知を登録する
 *
 */
declare const registerNotification: () => string;
/**
 * 自分宛の通知をserviceIdを使って取得する
 *
 */
declare const findNotificationsByServiceId: ({ id }: {
    id: string;
}) => string;
/**
 * 通知のステータスを更新する
 *
 */
declare const updateNotificationStatus: ({ id }: {
    id: string;
}) => string;
/**
 * 通知の購読を更新する
 *
 */
declare const saveSubscription: () => string;
/**
 * 自分の購読している通知を取得する
 *
 */
declare const findMySubscriptions: () => string;
declare const m2mNotifications_v1: {
    healthCheck: () => string;
    registerNotification: () => string;
    findNotificationsByServiceId: ({ id }: {
        id: string;
    }) => string;
    updateNotificationStatus: ({ id }: {
        id: string;
    }) => string;
    saveSubscription: () => string;
    findMySubscriptions: () => string;
};

declare const v1_findMySubscriptions: typeof findMySubscriptions;
declare const v1_findNotificationsByServiceId: typeof findNotificationsByServiceId;
declare const v1_healthCheck: typeof healthCheck;
declare const v1_m2mNotifications_v1: typeof m2mNotifications_v1;
declare const v1_registerNotification: typeof registerNotification;
declare const v1_root: typeof root;
declare const v1_saveSubscription: typeof saveSubscription;
declare const v1_updateNotificationStatus: typeof updateNotificationStatus;
declare namespace v1 {
  export {
    v1_findMySubscriptions as findMySubscriptions,
    v1_findNotificationsByServiceId as findNotificationsByServiceId,
    v1_healthCheck as healthCheck,
    v1_m2mNotifications_v1 as m2mNotifications_v1,
    v1_registerNotification as registerNotification,
    v1_root as root,
    v1_saveSubscription as saveSubscription,
    v1_updateNotificationStatus as updateNotificationStatus,
  };
}

export { registerNotification as a, findMySubscriptions as b, findNotificationsByServiceId as f, healthCheck as h, m2mNotifications_v1 as m, root as r, saveSubscription as s, updateNotificationStatus as u, v1 as v };
